## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts
Class ConnectionCreationDragTracker

    java.lang.Object
      org.eclipse.gef.util.FlagSupport
          org.eclipse.gef.tools.AbstractTool
              org.eclipse.gef.tools.TargetingTool
                  org.eclipse.gef.tools.AbstractConnectionCreationTool
                      org.eclipse.gef.tools.ConnectionDragCreationTool
                          org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts.ConnectionCreationDragTracker

All Implemented Interfaces:
  org.eclipse.gef.DragTracker, org.eclipse.gef.RequestConstants, org.eclipse.gef.Tool

    public class ConnectionCreationDragTracker

extends org.eclipse.gef.tools.ConnectionDragCreationTool
implements org.eclipse.gef.DragTracker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gef.tools.AbstractTool
`org.eclipse.gef.tools.AbstractTool.Input`

Field Summary

Fields inherited from class org.eclipse.gef.tools.AbstractTool
`PROPERTY_UNLOAD_WHEN_FINISHED`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ConnectionCreationDragTracker(ColumnEditPart owner)`

Method Summary

Methods inherited from class org.eclipse.gef.tools.AbstractConnectionCreationTool
`deactivate, setFactory`

Methods inherited from class org.eclipse.gef.tools.AbstractTool
`activate, commitDrag, focusGained, focusLost, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, nativeDragFinished, nativeDragStarted, setDefaultCursor, setDisabledCursor, setEditDomain, setProperties, setUnloadWhenFinished, setViewer, viewerEntered, viewerExited`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.DragTracker
`commitDrag`

Methods inherited from interface org.eclipse.gef.Tool
`activate, deactivate, focusGained, focusLost, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, nativeDragFinished, nativeDragStarted, setEditDomain, setProperties, setViewer, viewerEntered, viewerExited`

Constructor Detail

### ConnectionCreationDragTracker

    public ConnectionCreationDragTracker(ColumnEditPart owner)